## org.apache.batik.css.engine.sac
Class CSSIdCondition

    java.lang.Object
      org.apache.batik.css.engine.sac.AbstractAttributeCondition
          org.apache.batik.css.engine.sac.CSSIdCondition

All Implemented Interfaces:
  ExtendedCondition, org.w3c.css.sac.AttributeCondition, org.w3c.css.sac.Condition

    public class CSSIdCondition

extends AbstractAttributeCondition

This class provides an implementation of the `AttributeCondition` interface.

Field Summary
`protected java.lang.String` `localName` The id attribute local name.
`protected java.lang.String` `namespaceURI` The id attribute namespace URI.

Fields inherited from class org.apache.batik.css.engine.sac.AbstractAttributeCondition
`value`

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`CSSIdCondition(java.lang.String ns, java.lang.String ln, java.lang.String value)` Creates a new CSSAttributeCondition object.

Method Summary
`void` `fillAttributeSet(java.util.Set attrSet)` Fills the given set with the attribute names found in this selector.
`short` `getConditionType()` SAC: Implements `Condition.getConditionType()`.
`java.lang.String` `getLocalName()` SAC: Implements `AttributeCondition.getLocalName()`.
`java.lang.String` `getNamespaceURI()` SAC: Implements `AttributeCondition.getNamespaceURI()`.
`int` `getSpecificity()` Returns the specificity of this condition.
`boolean` `getSpecified()` SAC: Implements `AttributeCondition.getSpecified()`.
`boolean` `match(org.w3c.dom.Element e, java.lang.String pseudoE)` Tests whether this condition matches the given element.
`java.lang.String` `toString()` Returns a text representation of this object.

Methods inherited from class org.apache.batik.css.engine.sac.AbstractAttributeCondition
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### namespaceURI

    protected java.lang.String namespaceURI

  The id attribute namespace URI.

### localName

    protected java.lang.String localName

  The id attribute local name.

Constructor Detail

### CSSIdCondition

    public CSSIdCondition(java.lang.String ns,
                          java.lang.String ln,
                          java.lang.String value)

  Creates a new CSSAttributeCondition object.

Method Detail

### getConditionType

    public short getConditionType()

  SAC: Implements `Condition.getConditionType()`.

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  SAC: Implements `AttributeCondition.getNamespaceURI()`.

### getLocalName

    public java.lang.String getLocalName()

  SAC: Implements `AttributeCondition.getLocalName()`.

### getSpecified

    public boolean getSpecified()

  SAC: Implements `AttributeCondition.getSpecified()`.

### match

    public boolean match(org.w3c.dom.Element e,
                         java.lang.String pseudoE)

  Tests whether this condition matches the given element.

### fillAttributeSet

    public void fillAttributeSet(java.util.Set attrSet)

  Fills the given set with the attribute names found in this selector.

### getSpecificity

    public int getSpecificity()

  Returns the specificity of this condition.

  Specified by:
    `getSpecificity` in interface `ExtendedCondition`
  Overrides:
    `getSpecificity` in class `AbstractAttributeCondition`

### toString

    public java.lang.String toString()

  Returns a text representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.